using APT.Infrastructure.Core;
using APT.MS.Domain.Enums;
using System;
using System.Collections.Generic;
using System.ComponentModel;

namespace APT.MS.Domain.Entities.OH
{
    /// <summary>
    /// 危害监测类型
    /// </summary>
    [Description("危害监测类型")]
    public class T_OH_HAZARD_MONITOR_TYPE : MesEntityBase
    {
        /// <summary>
        /// 监测类型
        /// </summary>
        [Description("监测类型")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        [DataFieldLength(200)]
        public string NAME { get; set; }

        /// <summary>
        /// 监测类型细分
        /// </summary>
        [Description("监测类型细分")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        [DataFieldLength(200)]
        public string SMALL_TYPE { get; set; }

        /// <summary>
        /// 触发表单(职业危害监测表单类型)
        /// </summary>
        [Description("触发表单")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        [DataFieldLength(200)]
        public OHHazardMonitorFormTypeEnum MONITOR_TYPE { get; set; }
    }
}